Summary: getty and uugetty
Name: getty_ps
Version: 2.0.7j
Copyright: Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Release: 2
Group: Utilities/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/getty_ps-2.0.7j.tar.gz
Patch0: getty_ps-2.0.7j-make.patch
Patch1: getty_ps-2.0.7h-jpm.patch
Patch2: getty_ps-2.0.7h-pipe.patch
Patch3: getty_ps-2.0.7j-glibc.patch
Patch4: getty_ps-2.0.7j-signal.patch
BuildRoot: /var/tmp/getty_ps-root

%changelog

* Wed Oct 21 1997 Cristian Gafton <gafton@sorosis.ro>

- ugraded to 2.0.7j
 
* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
getty and uugetty are used to accept logins on the console or
a terminal.  They can handle answer a modem for dialup connections
(although mgetty is recommended for that purpose).

%changelog

* Wed Mar 26 1997 Erik Troan <ewt@redhat.com>

- Ported to glibc (I don't know where the last glibc package came from)
- Rebuilt because it was last built against some broken SPARC headers. 

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin \
	$RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man5 \
	$RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/var/log

%setup
%patch0 -p1 -b .make
%patch1 -p1 -b .jpm
%patch2 -p1 -b .pipe
%patch3 -p1 -b .noglibc
%patch4 -p1 -b .signal

%build
make clean
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make

%install
TOPDIR=$RPM_BUILD_ROOT make install
chmod 755 $RPM_BUILD_ROOT/sbin/getty
chmod 755 $RPM_BUILD_ROOT/sbin/uugetty
ln -sf getty.1 $RPM_BUILD_ROOT/usr/man/man1/uugetty.1
install -m 644 Examples/gettydefs.high-speed $RPM_BUILD_ROOT/etc/gettydefs
touch $RPM_BUILD_ROOT/var/log/getty.log

%files
%doc Examples ANNOUNCE README.linux README.2.0.7j README.hi-speed
%config /etc/gettydefs
/sbin/getty
/sbin/uugetty
/usr/man/man1/*
/usr/man/man5/gettydefs.5
%ghost /var/log/getty.log

%clean
rm -rf $RPM_BUILD_ROOT
